define("pBWOFExoticFarEastLogoComponent", ["pbWofExoticFarEastLogoComponentApi", "viewBuilderApi", "componentmodelComponentApi", "translationmanagerApi", "clientkernelLoaderApi", "displayEngineApi", "displayEngineUtils", "gameLayoutApi", "PIXI", "BABYLON", "clientkernelEventbusApi", "clientkernelModulesApi", "moneyApi"],
    function(pbWofExoticFarEastLogoComponentApi, viewBuilderApi, componentmodelComponentApi, translationmanagerApi, clientkernelLoaderApi, displayEngineApi, displayEngineUtils, gameLayoutApi, PIXI, BABYLON, clientkernelEventbusApi, clientkernelModulesApi, moneyApi) {
        "use strict";

        function $iterator(o) {
            if (o instanceof Array) return function() {
                return {
                    cur: 0,
                    arr: o,
                    hasNext: function() {
                        return this.cur < this.arr.length;
                    },
                    next: function() {
                        return this.arr[this.cur++];
                    }
                };
            };
            return typeof(o.iterator) == 'function' ? $bind(o, o.iterator) : o.iterator;
        };;
        var $fid = 0;

        function $bind(o, m) {
            if (m == null) return null;
            if (m.__id__ == null) m.__id__ = $fid++;
            var f;
            if (o.hx__closures__ == null) o.hx__closures__ = {};
            else f = o.hx__closures__[m.__id__];
            if (f == null) {
                f = function() {
                    return f.method.apply(f.scope, arguments);
                };
                f.scope = o;
                f.method = m;
                o.hx__closures__[m.__id__] = f;
            }
            return f;
        };
        var $_;
        var $estr = function() {
            return _hcmn_.js_Boot.__string_rec(this, '');
        };
        if (typeof pBWOFExoticFarEastLogoComponent == 'undefined') {
            var pBWOFExoticFarEastLogoComponent = {};
        };
        pBWOFExoticFarEastLogoComponent.Activator = function(context) {};
        pBWOFExoticFarEastLogoComponent.Activator = ck_implements(pBWOFExoticFarEastLogoComponent.Activator, clientkernelModulesApi.IModuleActivator);
        pBWOFExoticFarEastLogoComponent.Activator.__interfaces__ = [clientkernelModulesApi.IModuleActivator];
        pBWOFExoticFarEastLogoComponent.Activator.__name__ = ["pBWOFExoticFarEastLogoComponent", "Activator"];
        pBWOFExoticFarEastLogoComponent.Activator.prototype.start = function(context) {
            context.getServiceTracker([clientkernelLoaderApi.IAssetRegistry, viewBuilderApi.IViewBuilderFactory, displayEngineApi.IDisplayProvider, translationmanagerApi.ITranslationManager]).then(function(context1) {
                var factory;
                factory = _hcmn_.js_Boot.__cast(context1.getAnyService(viewBuilderApi.IViewBuilderFactory, null), viewBuilderApi.IViewBuilderFactory);
                pBWOFExoticFarEastLogoComponent.ExternalService.initialize(context1);
                context1.registerService(new pBWOFExoticFarEastLogoComponent.LogoFactory(context1, factory), pbWofExoticFarEastLogoComponentApi.LogoDeclaration, null);
            });
        };
        pBWOFExoticFarEastLogoComponent.Activator.prototype.stop = function(context) {};
        pBWOFExoticFarEastLogoComponent.Activator.main = function() {};
        pBWOFExoticFarEastLogoComponent.Activator.prototype.__class__ = pBWOFExoticFarEastLogoComponent.Activator;
        pBWOFExoticFarEastLogoComponent.ExternalService = function() {};
        pBWOFExoticFarEastLogoComponent.ExternalService.__name__ = ["pBWOFExoticFarEastLogoComponent", "ExternalService"];
        pBWOFExoticFarEastLogoComponent.ExternalService.assetRegistry = null;
        pBWOFExoticFarEastLogoComponent.ExternalService.vbf = null;
        pBWOFExoticFarEastLogoComponent.ExternalService.displayProvider = null;
        pBWOFExoticFarEastLogoComponent.ExternalService.translationManager = null;
        pBWOFExoticFarEastLogoComponent.ExternalService.bus = null;
        pBWOFExoticFarEastLogoComponent.ExternalService.moneyFormatter = null;
        pBWOFExoticFarEastLogoComponent.ExternalService.initialize = function(context) {
            pBWOFExoticFarEastLogoComponent.ExternalService.assetRegistry = context.getAnyService(clientkernelLoaderApi.IAssetRegistry, null);
            pBWOFExoticFarEastLogoComponent.ExternalService.vbf = context.getAnyService(viewBuilderApi.IViewBuilderFactory, null);
            pBWOFExoticFarEastLogoComponent.ExternalService.displayProvider = context.getAnyService(displayEngineApi.IDisplayProvider, null);
            pBWOFExoticFarEastLogoComponent.ExternalService.translationManager = context.getAnyService(translationmanagerApi.ITranslationManager, null);
            pBWOFExoticFarEastLogoComponent.ExternalService.bus = context.getAnyService(clientkernelEventbusApi.IEventBus, null);
            pBWOFExoticFarEastLogoComponent.ExternalService.moneyFormatter = context.getAnyService(moneyApi.IMoneyFormatter, null);
        };
        pBWOFExoticFarEastLogoComponent.ExternalService.getAsset = function(id) {
            return pBWOFExoticFarEastLogoComponent.ExternalService.assetRegistry.getAsset(id).getContent();
        };
        pBWOFExoticFarEastLogoComponent.ExternalService.prototype.__class__ = pBWOFExoticFarEastLogoComponent.ExternalService;
        pBWOFExoticFarEastLogoComponent.Logo = function(context, factory, moduleContext, cfgId) {
            var prepareCommonModelPayload = new pBWOFExoticFarEastLogoComponent.PrepareCommonModelPayload();
            prepareCommonModelPayload.context = context;
            prepareCommonModelPayload.factory = factory;
            prepareCommonModelPayload.assetsLoLoad = ["logo-assets/logo_VB"];
            prepareCommonModelPayload.moduleContext = moduleContext;
            new pBWOFExoticFarEastLogoComponent.PrepareCommonsController().processMessage(new pBWOFExoticFarEastLogoComponent.Message("Common:PrepareCommonModel", prepareCommonModelPayload));
            new pBWOFExoticFarEastLogoComponent.PortController();
            new pBWOFExoticFarEastLogoComponent.LayoutController();
        };
        pBWOFExoticFarEastLogoComponent.Logo.__name__ = ["pBWOFExoticFarEastLogoComponent", "Logo"];
        pBWOFExoticFarEastLogoComponent.Logo.prototype.__class__ = pBWOFExoticFarEastLogoComponent.Logo;
        pBWOFExoticFarEastLogoComponent.LogoFactory = function(context, factory) {
            this.factory = factory;
            this.moduleContext = context;
        };
        pBWOFExoticFarEastLogoComponent.LogoFactory = ck_implements(pBWOFExoticFarEastLogoComponent.LogoFactory, clientkernelModulesApi.IService);
        pBWOFExoticFarEastLogoComponent.LogoFactory = ck_implements(pBWOFExoticFarEastLogoComponent.LogoFactory, componentmodelComponentApi.IComponentFactory);
        pBWOFExoticFarEastLogoComponent.LogoFactory.__interfaces__ = [clientkernelModulesApi.IService, componentmodelComponentApi.IComponentFactory];
        pBWOFExoticFarEastLogoComponent.LogoFactory.__name__ = ["pBWOFExoticFarEastLogoComponent", "LogoFactory"];
        pBWOFExoticFarEastLogoComponent.LogoFactory.prototype.moduleContext = null;
        pBWOFExoticFarEastLogoComponent.LogoFactory.prototype.factory = null;
        pBWOFExoticFarEastLogoComponent.LogoFactory.prototype.getComponentDeclaration = function() {
            return pbWofExoticFarEastLogoComponentApi.LogoDeclaration;
        };
        pBWOFExoticFarEastLogoComponent.LogoFactory.prototype.createComponent = function(context) {
            var cfgId = context.getConfiguration();
            new pBWOFExoticFarEastLogoComponent.Logo(context, this.factory, this.moduleContext, cfgId);
        };
        pBWOFExoticFarEastLogoComponent.LogoFactory.prototype.__class__ = pBWOFExoticFarEastLogoComponent.LogoFactory;
        pBWOFExoticFarEastLogoComponent.Counter = function(startValue) {
            this.finishedCount = false;
            this.intervalDurationArray = [100];
            this.animationTimeDuration = 2000;
            this.interval = 100;
            this.increment = 0.5;
            this.current = startValue;
            this.target = startValue;
            this.startVal = startValue;
        };
        pBWOFExoticFarEastLogoComponent.Counter.__name__ = ["pBWOFExoticFarEastLogoComponent", "Counter"];
        pBWOFExoticFarEastLogoComponent.Counter.prototype.callback = null;
        pBWOFExoticFarEastLogoComponent.Counter.prototype.current = null;
        pBWOFExoticFarEastLogoComponent.Counter.prototype.target = null;
        pBWOFExoticFarEastLogoComponent.Counter.prototype.startVal = null;
        pBWOFExoticFarEastLogoComponent.Counter.prototype.timer = null;
        pBWOFExoticFarEastLogoComponent.Counter.prototype.increment = null;
        pBWOFExoticFarEastLogoComponent.Counter.prototype.interval = null;
        pBWOFExoticFarEastLogoComponent.Counter.prototype.animationTimeDuration = null;
        pBWOFExoticFarEastLogoComponent.Counter.prototype.intervalDurationArray = null;
        pBWOFExoticFarEastLogoComponent.Counter.prototype.finishedCount = null;
        pBWOFExoticFarEastLogoComponent.Counter.prototype.onCount = function(callback) {
            this.callback = callback;
            callback(this.current, this.finishedCount);
        };
        pBWOFExoticFarEastLogoComponent.Counter.prototype.update = function(newValue) {
            if (this.timer != null) {
                this.timer.stop();
                this.timer = null;
            }
            this.target = newValue;
            var diff = this.target - this.startVal;
            if (diff < 0.05) {
                this.current = this.target;
                this.callback(this.current, true);
            } else {
                this.calculateTimerParams(this.target);
                this.current = this.startVal;
                this.timer = new _hcmn_.haxe_Timer(this.interval);
                this.timer.run = $bind(this, this.run);
            }
        };
        pBWOFExoticFarEastLogoComponent.Counter.prototype.reset = function() {
            this.current = 0;
            this.target = 0;
            this.startVal = 0;
        };
        pBWOFExoticFarEastLogoComponent.Counter.prototype.run = function() {
            this.current += this.increment;
            this.finishedCount = this.current == this.target;
            if (this.current >= this.target) {
                this.current = this.target;
                this.timer.stop();
                this.timer = null;
            }
            this.callback(this.current, this.finishedCount);
        };
        pBWOFExoticFarEastLogoComponent.Counter.prototype.calculateTimerParams = function(current) {
            var digits = _hcmn_.Std.string(_hcmn_.Math.floor(current)).length;
            if (digits > this.intervalDurationArray.length) digits = this.intervalDurationArray.length;
            this.interval = this.intervalDurationArray[digits - 1];
            this.increment = current / this.animationTimeDuration * this.interval;
        };
        pBWOFExoticFarEastLogoComponent.Counter.prototype.__class__ = pBWOFExoticFarEastLogoComponent.Counter;
        pBWOFExoticFarEastLogoComponent.Controller = function(controllerInstance, register) {
            if (register == null) register = true;
            if (register) pBWOFExoticFarEastLogoComponent.Controller._CONTROLLERS.push(controllerInstance);
        };
        pBWOFExoticFarEastLogoComponent.Controller.__name__ = ["pBWOFExoticFarEastLogoComponent", "Controller"];
        pBWOFExoticFarEastLogoComponent.Controller.prototype.sendMessage = function(message) {
            var _g1 = 0;
            var _g = pBWOFExoticFarEastLogoComponent.Controller._CONTROLLERS.length;
            while (_g1 < _g) {
                var i = _g1++;
                var controller = pBWOFExoticFarEastLogoComponent.Controller._CONTROLLERS[i];
                var controllerEvents = controller.getInterests();
                if (_hcmn_.HxOverrides.indexOf(controllerEvents, message.messageName, 0) > -1) {
                    var _g3 = 0;
                    var _g2 = controllerEvents.length;
                    while (_g3 < _g2) {
                        var m = _g3++;
                        var interestedInMessage = controllerEvents[m];
                        if (interestedInMessage == message.messageName) {
                            controller.processMessage(message);
                            break;
                        }
                    }
                }
            }
        };
        pBWOFExoticFarEastLogoComponent.Controller.prototype.getInterests = function() {
            return [];
        };
        pBWOFExoticFarEastLogoComponent.Controller.prototype.processMessage = function(message) {};
        pBWOFExoticFarEastLogoComponent.Controller.prototype.__class__ = pBWOFExoticFarEastLogoComponent.Controller;
        pBWOFExoticFarEastLogoComponent.LayoutController = function() {
            pBWOFExoticFarEastLogoComponent.Controller.call(this, this);
        };
        pBWOFExoticFarEastLogoComponent.LayoutController.__name__ = ["pBWOFExoticFarEastLogoComponent", "LayoutController"];
        pBWOFExoticFarEastLogoComponent.LayoutController.__super__ = pBWOFExoticFarEastLogoComponent.Controller;
        for (var k in pBWOFExoticFarEastLogoComponent.Controller.prototype) pBWOFExoticFarEastLogoComponent.LayoutController.prototype[k] = pBWOFExoticFarEastLogoComponent.Controller.prototype[k];
        pBWOFExoticFarEastLogoComponent.LayoutController.prototype.layoutMediator = null;
        pBWOFExoticFarEastLogoComponent.LayoutController.prototype.getInterests = function() {
            return ["updateComponentLayout", "Common:CommonModelPrepared", "hide", "show", "gotoCountpuPosition", "gotoLogoPosition", "coutupAmount"];
        };
        pBWOFExoticFarEastLogoComponent.LayoutController.prototype.processMessage = function(message) {
            var _g = message.messageName;
            switch (_g) {
                case "updateComponentLayout":
                    this.layoutMediator.updateComponentLayout(message.messageData);
                    break;
                case "Common:CommonModelPrepared":
                    this.layoutMediator = new pBWOFExoticFarEastLogoComponent.LayoutMediator();
                    break;
                case "hide":
                    this.layoutMediator.hide();
                    break;
                case "show":
                    this.layoutMediator.show();
                    break;
                case "gotoCountpuPosition":
                    _hcmn_.haxe_Timer.delay($bind(this, this.countupPositionAchived), 3500);
                    this.layoutMediator.gotoCountpuPosition();
                    break;
                case "gotoLogoPosition":
                    this.layoutMediator.goToLogoPosition();
                    break;
                case "coutupAmount":
                    this.layoutMediator.countup(message.messageData);
                    break;
            }
        };
        pBWOFExoticFarEastLogoComponent.LayoutController.prototype.countupPositionAchived = function() {
            this.sendMessage(new pBWOFExoticFarEastLogoComponent.Message("countupPositionReached"));
        };
        pBWOFExoticFarEastLogoComponent.LayoutController.prototype.__class__ = pBWOFExoticFarEastLogoComponent.LayoutController;
        pBWOFExoticFarEastLogoComponent.PortController = function() {
            pBWOFExoticFarEastLogoComponent.Controller.call(this, this);
        };
        pBWOFExoticFarEastLogoComponent.PortController.__name__ = ["pBWOFExoticFarEastLogoComponent", "PortController"];
        pBWOFExoticFarEastLogoComponent.PortController.__super__ = pBWOFExoticFarEastLogoComponent.Controller;
        for (var k in pBWOFExoticFarEastLogoComponent.Controller.prototype) pBWOFExoticFarEastLogoComponent.PortController.prototype[k] = pBWOFExoticFarEastLogoComponent.Controller.prototype[k];
        pBWOFExoticFarEastLogoComponent.PortController.prototype.implementationPort = null;
        pBWOFExoticFarEastLogoComponent.PortController.prototype.layoutPort = null;
        pBWOFExoticFarEastLogoComponent.PortController.prototype.goToCountupPositionRequest = null;
        pBWOFExoticFarEastLogoComponent.PortController.prototype.gotoLogoPositionRequest = null;
        pBWOFExoticFarEastLogoComponent.PortController.prototype.countupRequest = null;
        pBWOFExoticFarEastLogoComponent.PortController.prototype.getInterests = function() {
            return ["Common:CommonModelPrepared", "countupPositionReached"];
        };
        pBWOFExoticFarEastLogoComponent.PortController.prototype.processMessage = function(message) {
            var _g = message.messageName;
            switch (_g) {
                case "Common:CommonModelPrepared":
                    this.setupListeners();
                    if (pBWOFExoticFarEastLogoComponent.CustomModel.CONFIGURATION_ID != "") pBWOFExoticFarEastLogoComponent.CustomModel.parseConfiguration(pBWOFExoticFarEastLogoComponent.CommonModel.loadedConfigurations.get(pBWOFExoticFarEastLogoComponent.CustomModel.CONFIGURATION_ID));
                    break;
                case "countupPositionReached":
                    this.goToCountupPositionRequest.reply(null);
                    break;
            }
        };
        pBWOFExoticFarEastLogoComponent.PortController.prototype.setupListeners = function() {
            var _g = this;
            this.implementationPort = pBWOFExoticFarEastLogoComponent.CommonModel.context.getImplementedPort(pbWofExoticFarEastLogoComponentApi.ILogolImplementationPort);
            this.layoutPort = pBWOFExoticFarEastLogoComponent.CommonModel.context.getUsedPort(gameLayoutApi.IGameLayoutPort);
            this.implementationPort.setVisibility().subscribe($bind(this, this.setVisibility));
            this.layoutPort.getUpdateComponentLayout().subscribe($bind(this, this.updateLayout));
            this.implementationPort.startCountup().subscribe($bind(this, this.startCountup));
            this.implementationPort.gotoCacheLinkPosition().subscribe($bind(this, this.gotoCacheLinkPosition));
            this.implementationPort.gotoLogoPosition().subscribe($bind(this, this.gotoStartPosition));
            _hcmn_.haxe_Timer.delay(function() {
                _g.updateLayout(null);
            }, 1000);
        };
        pBWOFExoticFarEastLogoComponent.PortController.prototype.startCountup = function(e) {
            var _g = this;
            this.countupRequest = e;
            this.sendMessage(new pBWOFExoticFarEastLogoComponent.Message("coutupAmount", this.countupRequest.getPayload().value));
            pBWOFExoticFarEastLogoComponent.PortController.particleMC.playParticle();
            _hcmn_.haxe_Timer.delay(function() {
                _g.countupRequest.reply(null);
                pBWOFExoticFarEastLogoComponent.PortController.particleMC.stopParticle();
            }, 3000);
        };
        pBWOFExoticFarEastLogoComponent.PortController.prototype.gotoStartPosition = function(e) {
            this.gotoLogoPositionRequest = e;
            this.sendMessage(new pBWOFExoticFarEastLogoComponent.Message("gotoLogoPosition"));
            this.gotoLogoPositionRequest.reply(null);
        };
        pBWOFExoticFarEastLogoComponent.PortController.prototype.gotoCacheLinkPosition = function(e) {
            this.goToCountupPositionRequest = e;
            this.sendMessage(new pBWOFExoticFarEastLogoComponent.Message("gotoCountpuPosition"));
        };
        pBWOFExoticFarEastLogoComponent.PortController.prototype.setVisibility = function(e) {
            if (e.getPayload()) this.sendMessage(new pBWOFExoticFarEastLogoComponent.Message("show"));
            else this.sendMessage(new pBWOFExoticFarEastLogoComponent.Message("hide"));
        };
        pBWOFExoticFarEastLogoComponent.PortController.prototype.updateLayout = function(e) {
            if (e != null) this.sendMessage(new pBWOFExoticFarEastLogoComponent.Message("updateComponentLayout", e.getPayload()));
            this.layoutPort.getComponentLayoutUpdated().publish(pBWOFExoticFarEastLogoComponent.CommonModel.instance);
        };
        pBWOFExoticFarEastLogoComponent.PortController.particleMC = null;
        pBWOFExoticFarEastLogoComponent.PortController.prototype.__class__ = pBWOFExoticFarEastLogoComponent.PortController;
        pBWOFExoticFarEastLogoComponent.LayoutMediator = function() {
            this.parrent = new pBWOFExoticFarEastLogoComponent.Stage(pBWOFExoticFarEastLogoComponent.CustomModel.LAYER_ID, pBWOFExoticFarEastLogoComponent.CustomModel.componentWidth, pBWOFExoticFarEastLogoComponent.CustomModel.componentHeight);
            this.mask = pBWOFExoticFarEastLogoComponent.CommonModel.displayProvider.getFactory().createGraphics();
            this.mask.beginFill(0, 1, true);
            this.mask.drawRect(0, 0, pBWOFExoticFarEastLogoComponent.CustomModel.componentWidth, pBWOFExoticFarEastLogoComponent.CustomModel.componentHeight);
            this.mask.endFill();
            this.mc = new pBWOFExoticFarEastLogoComponent.MovieClip("WOFlogo", "logo-assets/logo_VB", "LOGO");
            this.mc.gotoAndPlay(false, "idle");
            pBWOFExoticFarEastLogoComponent.PortController.particleMC = new pBWOFExoticFarEastLogoComponent.MovieClip("ParticleLogo", "logo-assets/logo_VB", "LOGO_PARTICLE");
            this.parrent.display.addChild(pBWOFExoticFarEastLogoComponent.PortController.particleMC.display);
            this.parrent.display.addChild(this.mc.display);
            this.cacheLabel = this.mc.getAnimComponent().getLabelById("total_cache_label");
            this.cacheLabel.setText("");
            this.counter = new pBWOFExoticFarEastLogoComponent.Counter(0);
            this.counter.onCount($bind(this, this.updateLabel));
        };
        pBWOFExoticFarEastLogoComponent.LayoutMediator.__name__ = ["pBWOFExoticFarEastLogoComponent", "LayoutMediator"];
        pBWOFExoticFarEastLogoComponent.LayoutMediator.prototype.parrent = null;
        pBWOFExoticFarEastLogoComponent.LayoutMediator.prototype.mask = null;
        pBWOFExoticFarEastLogoComponent.LayoutMediator.prototype.mc = null;
        pBWOFExoticFarEastLogoComponent.LayoutMediator.prototype.layout = null;
        pBWOFExoticFarEastLogoComponent.LayoutMediator.prototype.cacheLabel = null;
        pBWOFExoticFarEastLogoComponent.LayoutMediator.prototype.counter = null;
        pBWOFExoticFarEastLogoComponent.LayoutMediator.prototype.updateComponentLayout = function(layout) {
            this.layout = layout;
            this.parrent.display.setX(layout.containers.get(pBWOFExoticFarEastLogoComponent.CustomModel.LAYER_ID).left);
            this.parrent.display.setY(layout.containers.get(pBWOFExoticFarEastLogoComponent.CustomModel.LAYER_ID).top);
            this.parrent.display.setScaleX(layout.containers.get(pBWOFExoticFarEastLogoComponent.CustomModel.LAYER_ID).width / pBWOFExoticFarEastLogoComponent.CustomModel.componentWidth);
            this.parrent.display.setScaleY(layout.containers.get(pBWOFExoticFarEastLogoComponent.CustomModel.LAYER_ID).height / pBWOFExoticFarEastLogoComponent.CustomModel.componentHeight);
            pBWOFExoticFarEastLogoComponent.PortController.particleMC.display.setX(layout.containers.get(pBWOFExoticFarEastLogoComponent.CustomModel.PARTICLES).left);
            pBWOFExoticFarEastLogoComponent.PortController.particleMC.display.setY(layout.containers.get(pBWOFExoticFarEastLogoComponent.CustomModel.PARTICLES).top);
            pBWOFExoticFarEastLogoComponent.PortController.particleMC.display.setScaleX(layout.containers.get(pBWOFExoticFarEastLogoComponent.CustomModel.PARTICLES).width / pBWOFExoticFarEastLogoComponent.CustomModel.componentWidth);
            pBWOFExoticFarEastLogoComponent.PortController.particleMC.display.setScaleY(layout.containers.get(pBWOFExoticFarEastLogoComponent.CustomModel.PARTICLES).height / pBWOFExoticFarEastLogoComponent.CustomModel.componentHeight);
        };
        pBWOFExoticFarEastLogoComponent.LayoutMediator.prototype.hide = function() {
            this.parrent.display.setVisible(false);
        };
        pBWOFExoticFarEastLogoComponent.LayoutMediator.prototype.show = function() {
            this.parrent.display.setVisible(true);
        };
        pBWOFExoticFarEastLogoComponent.LayoutMediator.prototype.gotoCountpuPosition = function() {
            displayEngineUtils.TweenX.to(this.mc.display, {
                y: 0
            }, 500, null, null, null, null, null, null, null, {
                fileName: "LayoutMediator.hx",
                lineNumber: 87,
                className: "components.logo.mediator.LayoutMediator",
                methodName: "gotoCountpuPosition"
            }).delay(2.5);
            this.mc.gotoAndPlay(false, "start");
            this.cacheLabel.setText("");
        };
        pBWOFExoticFarEastLogoComponent.LayoutMediator.prototype.goToLogoPosition = function() {
            displayEngineUtils.TweenX.to(this.mc.display, {
                y: 0
            }, 200, null, null, null, null, null, null, null, {
                fileName: "LayoutMediator.hx",
                lineNumber: 95,
                className: "components.logo.mediator.LayoutMediator",
                methodName: "goToLogoPosition"
            });
            this.mc.gotoAndPlay(false, "end");
            this.cacheLabel.setText("");
        };
        pBWOFExoticFarEastLogoComponent.LayoutMediator.prototype.countup = function(value) {
            this.cacheLabel.setText(this.format("0"));
            this.mc.gotoAndPlay(false, "counting");
            this.counter.update(parseFloat(value));
        };
        pBWOFExoticFarEastLogoComponent.LayoutMediator.prototype.updateLabel = function(value, finishedCounting) {
            var _g = this;
            var text = (Number(_hcmn_.Math.round(value + "e2") + "e-2").toFixed(2));
            var v = this.format(text);
            this.cacheLabel.setText(v);
            if (finishedCounting) _hcmn_.haxe_Timer.delay(function() {
                _g.mc.gotoAndStop(false, "stopcounting");
            }, 300);
        };
        pBWOFExoticFarEastLogoComponent.LayoutMediator.prototype.format = function(value) {
            var mf = pBWOFExoticFarEastLogoComponent.ExternalService.moneyFormatter;
            return mf.format(value);
        };
        pBWOFExoticFarEastLogoComponent.LayoutMediator.prototype.__class__ = pBWOFExoticFarEastLogoComponent.LayoutMediator;
        pBWOFExoticFarEastLogoComponent.CustomConst = function() {};
        pBWOFExoticFarEastLogoComponent.CustomConst.__name__ = ["pBWOFExoticFarEastLogoComponent", "CustomConst"];
        pBWOFExoticFarEastLogoComponent.CustomConst.prototype.__class__ = pBWOFExoticFarEastLogoComponent.CustomConst;
        pBWOFExoticFarEastLogoComponent.CustomModel = function() {};
        pBWOFExoticFarEastLogoComponent.CustomModel.__name__ = ["pBWOFExoticFarEastLogoComponent", "CustomModel"];
        pBWOFExoticFarEastLogoComponent.CustomModel.parseConfiguration = function(config) {};
        pBWOFExoticFarEastLogoComponent.CustomModel.prototype.__class__ = pBWOFExoticFarEastLogoComponent.CustomModel;
        pBWOFExoticFarEastLogoComponent.CommonConstants = function() {};
        pBWOFExoticFarEastLogoComponent.CommonConstants.__name__ = ["pBWOFExoticFarEastLogoComponent", "CommonConstants"];
        pBWOFExoticFarEastLogoComponent.CommonConstants.prototype.__class__ = pBWOFExoticFarEastLogoComponent.CommonConstants;
        pBWOFExoticFarEastLogoComponent.PrepareCommonsController = function() {
            this.loadedSoFar = 0;
            this.totalToLoad = 0;
            pBWOFExoticFarEastLogoComponent.Controller.call(this, this, false);
        };
        pBWOFExoticFarEastLogoComponent.PrepareCommonsController.__name__ = ["pBWOFExoticFarEastLogoComponent", "PrepareCommonsController"];
        pBWOFExoticFarEastLogoComponent.PrepareCommonsController.__super__ = pBWOFExoticFarEastLogoComponent.Controller;
        for (var k in pBWOFExoticFarEastLogoComponent.Controller.prototype) pBWOFExoticFarEastLogoComponent.PrepareCommonsController.prototype[k] = pBWOFExoticFarEastLogoComponent.Controller.prototype[k];
        pBWOFExoticFarEastLogoComponent.PrepareCommonsController.prototype.totalToLoad = null;
        pBWOFExoticFarEastLogoComponent.PrepareCommonsController.prototype.loadedSoFar = null;
        pBWOFExoticFarEastLogoComponent.PrepareCommonsController.prototype.payload = null;
        pBWOFExoticFarEastLogoComponent.PrepareCommonsController.prototype.layoutPort = null;
        pBWOFExoticFarEastLogoComponent.PrepareCommonsController.prototype.subscription = null;
        pBWOFExoticFarEastLogoComponent.PrepareCommonsController.prototype.processMessage = function(message) {
            var _g = message.messageName;
            switch (_g) {
                case "Common:PrepareCommonModel":
                    this.prepareModel(message.messageData);
                    break;
            }
        };
        pBWOFExoticFarEastLogoComponent.PrepareCommonsController.prototype.prepareModel = function(payload) {
            var _g2 = this;
            this.payload = payload;
            pBWOFExoticFarEastLogoComponent.CommonModel.context = payload.context;
            pBWOFExoticFarEastLogoComponent.CommonModel.moduleContext = payload.moduleContext;
            pBWOFExoticFarEastLogoComponent.CommonModel.configurationId = pBWOFExoticFarEastLogoComponent.CommonModel.context.getConfiguration();
            pBWOFExoticFarEastLogoComponent.CommonModel.factory = payload.factory;
            pBWOFExoticFarEastLogoComponent.CommonModel.assetRegistry = pBWOFExoticFarEastLogoComponent.CommonModel.moduleContext.getAnyService(clientkernelLoaderApi.IAssetRegistry, null);
            pBWOFExoticFarEastLogoComponent.CommonModel.displayProvider = pBWOFExoticFarEastLogoComponent.CommonModel.moduleContext.getAnyService(displayEngineApi.IDisplayProvider, null);
            pBWOFExoticFarEastLogoComponent.CommonModel.instance = pBWOFExoticFarEastLogoComponent.CommonModel.context.getInstance();
            this.layoutPort = _hcmn_.js_Boot.__cast(pBWOFExoticFarEastLogoComponent.CommonModel.context.getUsedPort(gameLayoutApi.IGameLayoutPort), gameLayoutApi.IGameLayoutPort);
            if (this.layoutPort != null) {
                this.totalToLoad++;
                this.subscription = this.layoutPort.getUpdateComponentLayout().subscribe($bind(this, this.handleLayoutPayload));
            }
            if (payload.assetsLoLoad != null) {
                pBWOFExoticFarEastLogoComponent.CommonModel.loadedAssets = new _hcmn_.haxe_ds_StringMap();
                var _g1 = 0;
                var _g = payload.assetsLoLoad.length;
                while (_g1 < _g) {
                    var i = _g1++;
                    var id = [payload.assetsLoLoad[i]];
                    this.totalToLoad++;
                    console.log("*/*/* load asset " + id[0]);
                    pBWOFExoticFarEastLogoComponent.CommonModel.assetRegistry.getAsset(id[0]).getContent().then((function(id) {
                        return function(vba) {
                            _g2.loadedSoFar++;
                            pBWOFExoticFarEastLogoComponent.CommonModel.loadedAssets.set(id[0], vba);
                            console.log("*/*/*  loaded asset " + id[0]);
                            _g2.ceheckLoaded();
                        };
                    })(id));
                }
            }
            if (payload.configurationsToLoad != null) {
                pBWOFExoticFarEastLogoComponent.CommonModel.loadedConfigurations = new _hcmn_.haxe_ds_StringMap();
                var _g11 = 0;
                var _g3 = payload.configurationsToLoad.length;
                while (_g11 < _g3) {
                    var s = _g11++;
                    this.totalToLoad++;
                    var config_id = [payload.configurationsToLoad[s]];
                    pBWOFExoticFarEastLogoComponent.CommonModel.assetRegistry.getAsset(config_id[0]).getContent().then((function(config_id) {
                        return function(data) {
                            pBWOFExoticFarEastLogoComponent.CommonModel.loadedConfigurations.set(config_id[0], data);
                            _g2.loadedSoFar++;
                            _g2.ceheckLoaded();
                        };
                    })(config_id));
                }
            }
        };
        pBWOFExoticFarEastLogoComponent.PrepareCommonsController.prototype.handleLayoutPayload = function(event) {
            this.loadedSoFar++;
            pBWOFExoticFarEastLogoComponent.CommonModel.layoutPayload = event.getPayload();
            this.ceheckLoaded();
        };
        pBWOFExoticFarEastLogoComponent.PrepareCommonsController.prototype.ceheckLoaded = function() {
            if (this.totalToLoad == this.loadedSoFar) {
                if (this.layoutPort != null && this.subscription != null) this.subscription.unsubscribe();
                this.sendMessage(new pBWOFExoticFarEastLogoComponent.Message("Common:CommonModelPrepared"));
            }
        };
        pBWOFExoticFarEastLogoComponent.PrepareCommonsController.prototype.__class__ = pBWOFExoticFarEastLogoComponent.PrepareCommonsController;
        pBWOFExoticFarEastLogoComponent.CommonModel = function() {};
        pBWOFExoticFarEastLogoComponent.CommonModel.__name__ = ["pBWOFExoticFarEastLogoComponent", "CommonModel"];
        pBWOFExoticFarEastLogoComponent.CommonModel.factory = null;
        pBWOFExoticFarEastLogoComponent.CommonModel.context = null;
        pBWOFExoticFarEastLogoComponent.CommonModel.displayProvider = null;
        pBWOFExoticFarEastLogoComponent.CommonModel.assetRegistry = null;
        pBWOFExoticFarEastLogoComponent.CommonModel.configurationId = null;
        pBWOFExoticFarEastLogoComponent.CommonModel.layoutPayload = null;
        pBWOFExoticFarEastLogoComponent.CommonModel.loadedAssets = null;
        pBWOFExoticFarEastLogoComponent.CommonModel.instance = null;
        pBWOFExoticFarEastLogoComponent.CommonModel.moduleContext = null;
        pBWOFExoticFarEastLogoComponent.CommonModel.loadedConfigurations = null;
        pBWOFExoticFarEastLogoComponent.CommonModel.prototype.__class__ = pBWOFExoticFarEastLogoComponent.CommonModel;
        pBWOFExoticFarEastLogoComponent.Message = function(messageName, messageData) {
            this.messageName = messageName;
            this.messageData = messageData;
        };
        pBWOFExoticFarEastLogoComponent.Message.__name__ = ["pBWOFExoticFarEastLogoComponent", "Message"];
        pBWOFExoticFarEastLogoComponent.Message.prototype.messageData = null;
        pBWOFExoticFarEastLogoComponent.Message.prototype.messageName = null;
        pBWOFExoticFarEastLogoComponent.Message.prototype.__class__ = pBWOFExoticFarEastLogoComponent.Message;
        pBWOFExoticFarEastLogoComponent.PrepareCommonModelPayload = function() {};
        pBWOFExoticFarEastLogoComponent.PrepareCommonModelPayload.__name__ = ["pBWOFExoticFarEastLogoComponent", "PrepareCommonModelPayload"];
        pBWOFExoticFarEastLogoComponent.PrepareCommonModelPayload.prototype.context = null;
        pBWOFExoticFarEastLogoComponent.PrepareCommonModelPayload.prototype.factory = null;
        pBWOFExoticFarEastLogoComponent.PrepareCommonModelPayload.prototype.moduleContext = null;
        pBWOFExoticFarEastLogoComponent.PrepareCommonModelPayload.prototype.assetsLoLoad = null;
        pBWOFExoticFarEastLogoComponent.PrepareCommonModelPayload.prototype.configurationsToLoad = null;
        pBWOFExoticFarEastLogoComponent.PrepareCommonModelPayload.prototype.__class__ = pBWOFExoticFarEastLogoComponent.PrepareCommonModelPayload;
        pBWOFExoticFarEastLogoComponent.DisplayObject = function() {};
        pBWOFExoticFarEastLogoComponent.DisplayObject.__name__ = ["pBWOFExoticFarEastLogoComponent", "DisplayObject"];
        pBWOFExoticFarEastLogoComponent.DisplayObject.prototype.objectsStage = null;
        pBWOFExoticFarEastLogoComponent.DisplayObject.prototype.display = null;
        pBWOFExoticFarEastLogoComponent.DisplayObject.prototype.addChild = function(child, zindex) {};
        pBWOFExoticFarEastLogoComponent.DisplayObject.prototype.removeChild = function(child) {};
        pBWOFExoticFarEastLogoComponent.DisplayObject.prototype.getViewBuilderHeight = function() {
            return 0;
        };
        pBWOFExoticFarEastLogoComponent.DisplayObject.prototype.getViewBuilderWidth = function() {
            return 0;
        };
        pBWOFExoticFarEastLogoComponent.DisplayObject.prototype.__class__ = pBWOFExoticFarEastLogoComponent.DisplayObject;
        pBWOFExoticFarEastLogoComponent.MovieClip = function(id, asetId, flashInstanceName) {
            pBWOFExoticFarEastLogoComponent.DisplayObject.call(this);
            this.id = id;
            this.display = pBWOFExoticFarEastLogoComponent.CommonModel.displayProvider.getFactory().createDisplayObjectContainer();
            var vbAsset = pBWOFExoticFarEastLogoComponent.CommonModel.loadedAssets.get(asetId);
            this.ivbc = pBWOFExoticFarEastLogoComponent.CommonModel.factory.createView(vbAsset);
            var vbAnimationHolder = this.ivbc.createContainerFromStoredConfig(flashInstanceName);
            if (id == "ParticleLogo") {
                pBWOFExoticFarEastLogoComponent.MovieClip.vbParticleContent = vbAnimationHolder.getVBAnimationById("ANIMATION_CONTENT");
                pBWOFExoticFarEastLogoComponent.MovieClip.vbParticleContent.stop();
                this.display.addChild(pBWOFExoticFarEastLogoComponent.MovieClip.vbParticleContent.getDisplayObject());
            } else {
                this.animComponent = vbAnimationHolder.getVBAnimationById("ANIMATION_CONTENT");
                this.animComponent.stop();
                this.display.addChild(this.animComponent.getDisplayObject());
            }
            this.display.setName(id);
        };
        pBWOFExoticFarEastLogoComponent.MovieClip.__name__ = ["pBWOFExoticFarEastLogoComponent", "MovieClip"];
        pBWOFExoticFarEastLogoComponent.MovieClip.__super__ = pBWOFExoticFarEastLogoComponent.DisplayObject;
        for (var k in pBWOFExoticFarEastLogoComponent.DisplayObject.prototype) pBWOFExoticFarEastLogoComponent.MovieClip.prototype[k] = pBWOFExoticFarEastLogoComponent.DisplayObject.prototype[k];
        pBWOFExoticFarEastLogoComponent.MovieClip.prototype.animComponent = null;
        pBWOFExoticFarEastLogoComponent.MovieClip.prototype.ivbc = null;
        pBWOFExoticFarEastLogoComponent.MovieClip.prototype.id = null;
        pBWOFExoticFarEastLogoComponent.MovieClip.prototype.x = null;
        pBWOFExoticFarEastLogoComponent.MovieClip.prototype.y = null;
        pBWOFExoticFarEastLogoComponent.MovieClip.prototype.visible = null;
        pBWOFExoticFarEastLogoComponent.MovieClip.prototype.playParticle = function() {
            pBWOFExoticFarEastLogoComponent.MovieClip.vbParticleContent.play(false);
        };
        pBWOFExoticFarEastLogoComponent.MovieClip.prototype.stopParticle = function() {
            pBWOFExoticFarEastLogoComponent.MovieClip.vbParticleContent.stop();
            pBWOFExoticFarEastLogoComponent.MovieClip.vbParticleContent.hide();
        };
        pBWOFExoticFarEastLogoComponent.MovieClip.prototype.play = function(renderInBackStage, callback, delay) {
            if (delay == null) delay = 0;
            this.animComponent.play(renderInBackStage, callback, delay);
        };
        pBWOFExoticFarEastLogoComponent.MovieClip.prototype.show = function() {
            this.animComponent.show();
        };
        pBWOFExoticFarEastLogoComponent.MovieClip.prototype.hide = function() {
            this.animComponent.hide();
        };
        pBWOFExoticFarEastLogoComponent.MovieClip.prototype.get_x = function() {
            return this.x;
        };
        pBWOFExoticFarEastLogoComponent.MovieClip.prototype.set_x = function(value) {
            this.display.setX(value);
            return this.x = value;
        };
        pBWOFExoticFarEastLogoComponent.MovieClip.prototype.get_y = function() {
            return this.y;
        };
        pBWOFExoticFarEastLogoComponent.MovieClip.prototype.set_y = function(value) {
            this.display.setY(value);
            return this.y = value;
        };
        pBWOFExoticFarEastLogoComponent.MovieClip.prototype.stop = function() {
            this.animComponent.gotoAndStop(false, "1");
        };
        pBWOFExoticFarEastLogoComponent.MovieClip.prototype.addEventListener = function(listenerId, callback) {
            this.animComponent.addEventListener(listenerId, callback);
        };
        pBWOFExoticFarEastLogoComponent.MovieClip.prototype.gotoAndPlay = function(offScreen, animationAnchor) {
            this.animComponent.gotoAndPlay(offScreen, animationAnchor);
        };
        pBWOFExoticFarEastLogoComponent.MovieClip.prototype.gotoAndStop = function(offScreen, animationAnchor) {
            this.animComponent.gotoAndStop(offScreen, animationAnchor);
        };
        pBWOFExoticFarEastLogoComponent.MovieClip.prototype.get_visible = function() {
            return this.visible;
        };
        pBWOFExoticFarEastLogoComponent.MovieClip.prototype.set_visible = function(value) {
            this.visible = value;
            this.display.setVisible(this.get_visible());
            return this.get_visible();
        };
        pBWOFExoticFarEastLogoComponent.MovieClip.prototype.getViewBuilderHeight = function() {
            return this.animComponent.getDisplayObject().getUserData().viewBuilderH;
        };
        pBWOFExoticFarEastLogoComponent.MovieClip.prototype.getViewBuilderWidth = function() {
            return this.animComponent.getDisplayObject().getUserData().viewBuilderW;
        };
        pBWOFExoticFarEastLogoComponent.MovieClip.prototype.getAnimComponent = function() {
            return this.animComponent;
        };
        pBWOFExoticFarEastLogoComponent.MovieClip.vbParticleContent = null;
        pBWOFExoticFarEastLogoComponent.MovieClip.prototype.__class__ = pBWOFExoticFarEastLogoComponent.MovieClip;
        pBWOFExoticFarEastLogoComponent.Stage = function(layerId, vbW, vbH) {
            this.viewBuilderH = 0;
            this.viewBuilderW = 0;
            this.layerId = layerId;
            this.viewBuilderH = vbH;
            this.viewBuilderW = vbW;
            this.layerPayload = pBWOFExoticFarEastLogoComponent.CommonModel.layoutPayload.containers.get(layerId);
            var this1 = pBWOFExoticFarEastLogoComponent.CommonModel.displayProvider.getStages();
            this.stage = this1.get(this.layerPayload.stage);
            this.display = pBWOFExoticFarEastLogoComponent.CommonModel.displayProvider.getFactory().createDisplayObjectContainer();
            this.display.setWidth(this.layerPayload.width);
            this.display.setHeight(this.layerPayload.height);
            this.display.setX(this.layerPayload.left);
            this.display.setY(this.layerPayload.top);
            this.display.setScaleX(1);
            this.display.setScaleY(1);
            this.display.setZIndex(this.layerPayload.zIndex);
            this.display.setName(layerId);
            this.stage.addChild(this.display);
            pBWOFExoticFarEastLogoComponent.DisplayObject.call(this);
        };
        pBWOFExoticFarEastLogoComponent.Stage.__name__ = ["pBWOFExoticFarEastLogoComponent", "Stage"];
        pBWOFExoticFarEastLogoComponent.Stage.__super__ = pBWOFExoticFarEastLogoComponent.DisplayObject;
        for (var k in pBWOFExoticFarEastLogoComponent.DisplayObject.prototype) pBWOFExoticFarEastLogoComponent.Stage.prototype[k] = pBWOFExoticFarEastLogoComponent.DisplayObject.prototype[k];
        pBWOFExoticFarEastLogoComponent.Stage.prototype.stage = null;
        pBWOFExoticFarEastLogoComponent.Stage.prototype.layerId = null;
        pBWOFExoticFarEastLogoComponent.Stage.prototype.viewBuilderW = null;
        pBWOFExoticFarEastLogoComponent.Stage.prototype.viewBuilderH = null;
        pBWOFExoticFarEastLogoComponent.Stage.prototype.layerPayload = null;
        pBWOFExoticFarEastLogoComponent.Stage.prototype.width = null;
        pBWOFExoticFarEastLogoComponent.Stage.prototype.height = null;
        pBWOFExoticFarEastLogoComponent.Stage.prototype.addChild = function(child, zindex) {
            if (child.objectsStage == this.stage) this.display.removeChild(child.display);
            else child.objectsStage = this.stage;
            this.display.addChild(child.display);
        };
        pBWOFExoticFarEastLogoComponent.Stage.prototype.addDisplayObjectContainer = function(d) {
            this.display.addChild(d);
        };
        pBWOFExoticFarEastLogoComponent.Stage.prototype.removeChild = function(child) {
            child.objectsStage = null;
            try {
                this.display.removeChild(child.display);
            } catch (e) {
                if (e instanceof js._Boot.HaxeError) e = e.val;
                if (_hcmn_.js_Boot.__instanceof(e, Error)) {} else throw (e);
            }
        };
        pBWOFExoticFarEastLogoComponent.Stage.prototype.getViewBuilderHeight = function() {
            return this.viewBuilderH;
        };
        pBWOFExoticFarEastLogoComponent.Stage.prototype.getViewBuilderWidth = function() {
            return this.viewBuilderW;
        };
        pBWOFExoticFarEastLogoComponent.Stage.prototype.__class__ = pBWOFExoticFarEastLogoComponent.Stage;
        if (typeof haxe == 'undefined') {
            var haxe = {};
        };

        haxe.IMap = function() {}
        haxe.IMap.prototype = {

            get: function(k) {
                return {
                    arguments: ["*"],
                    returns: "null"
                };
            }
        };
        if (typeof js == 'undefined') {
            var js = {};
        };
        if (!js._Boot) {
            js._Boot = {};
        };
        js._Boot.HaxeError = function(val) {
            Error.call(this);
            this.val = val;
            this.message = String(val);
            if (Error.captureStackTrace) Error.captureStackTrace(this, js._Boot.HaxeError);
        };
        js._Boot.HaxeError.__name__ = ["js", "_Boot", "HaxeError"];
        js._Boot.HaxeError.__super__ = Error;
        for (var k in Error.prototype) js._Boot.HaxeError.prototype[k] = Error.prototype[k];
        js._Boot.HaxeError.prototype.val = null;
        js._Boot.HaxeError.prototype.__class__ = js._Boot.HaxeError;
        pBWOFExoticFarEastLogoComponent.Controller._CONTROLLERS = [];;
        pBWOFExoticFarEastLogoComponent.CustomConst.UPDATE_COMPONENT_LAYOUT = "updateComponentLayout";;
        pBWOFExoticFarEastLogoComponent.CustomConst.REGISTER_RENDER_ELEMENT = "registerRenderElement";;
        pBWOFExoticFarEastLogoComponent.CustomConst.START_SPIN = "startSpin";;
        pBWOFExoticFarEastLogoComponent.CustomConst.CHANGE_FORCE = "changeForce";;
        pBWOFExoticFarEastLogoComponent.CustomConst.GOTO_COUNTUP_POSITION = "gotoCountpuPosition";;
        pBWOFExoticFarEastLogoComponent.CustomConst.COUNTUP_POSITION_REACHED = "countupPositionReached";;
        pBWOFExoticFarEastLogoComponent.CustomConst.GOTO_LOGO_POSITION = "gotoLogoPosition";;
        pBWOFExoticFarEastLogoComponent.CustomConst.COUTUP_AMOUNT = "coutupAmount";;
        pBWOFExoticFarEastLogoComponent.CustomModel.LAYER_ID = "LOGO";;
        pBWOFExoticFarEastLogoComponent.CustomModel.PARTICLES = "PARTICLES";;
        pBWOFExoticFarEastLogoComponent.CustomModel.CONFIGURATION_ID = "";;
        pBWOFExoticFarEastLogoComponent.CustomModel.ASSET_PACK_ID = "logo-assets/logo_VB";;
        pBWOFExoticFarEastLogoComponent.CustomModel.componentWidth = 857;;
        pBWOFExoticFarEastLogoComponent.CustomModel.componentHeight = 161;;
        pBWOFExoticFarEastLogoComponent.CommonConstants.PREPARE_COMMON_MODEL = "Common:PrepareCommonModel";;
        pBWOFExoticFarEastLogoComponent.CommonConstants.COMMON_MODEL_PREPARED = "Common:CommonModelPrepared";;
        pBWOFExoticFarEastLogoComponent.CommonConstants.HIDE = "hide";;
        pBWOFExoticFarEastLogoComponent.CommonConstants.SHOW = "show";;
        return {
            exports: pBWOFExoticFarEastLogoComponent,
            activator: pBWOFExoticFarEastLogoComponent.Activator
        };
    });
//# sourceURL=pbWofExoticFarEastLogoComponent.js